ooo-build r12400 - in trunk: . bin



Author: tml
Date: Wed Apr 30 15:45:43 2008
New Revision: 12400
URL: http://svn.gnome.org/viewvc/ooo-build?rev=12400&view=rev

Log:
2008-04-30  Tor Lillqvist  <tml novell com>

	* configure.in: Act always as if --with-dejavu-fonts and
	--disable-build-mozilla had been used when on Windows. The DejaVu
	fonts are de facto needed when building with ooo-build currently
	on Windows. I haven't examined the root cause for this, but it
	can't hurt to use them always anyway, right? The Mozilla 1.7.5
	sources can't be compiled with MSVS2008 as of now. Either the
	upstream mozilla-source-1.7.5.patch patch needs to be extended, or
	we need to patch the Mozilla configury and Makefiles even more
	ourselves.)

	* download.in
	* bin/unpack: Corresponding changes, and some
	clarifications. Download the prebuilt Mozilla zipfiles. Comment
	out the Mozilla source related bits for now. Once we can compile
	Mozilla with MSVS2008 or some other solution to upstream issue
	#66338 is in place will have to rework this.



Modified:
   trunk/ChangeLog
   trunk/bin/unpack
   trunk/configure.in
   trunk/download.in

Modified: trunk/bin/unpack
==============================================================================
--- trunk/bin/unpack	(original)
+++ trunk/bin/unpack	Wed Apr 30 15:45:43 2008
@@ -55,13 +55,20 @@
 if test "z$BUILD_WIN32" != "z"; then
     check_file $UNICOWS_SRC
     check_file $DBGINST_SRC
-#    check_file $ODMA_SRC
-    check_file $SRCDIR/$BUILD_MOZILLA_SOURCE
-    check_file $SRCDIR/glib-1.2.10.tar.gz
-    check_file $SRCDIR/glib-1.2.10-ooo.patch
-    check_file $SRCDIR/libIDL-0.6.8.tar.gz
-    check_file $SRCDIR/libIDL-0.6.8-ooo.patch
-    check_file $SRCDIR/wintools.zip
+
+    # Comment out the Mozilla source related bits for now
+    #check_file $SRCDIR/$BUILD_MOZILLA_SOURCE
+    #check_file $SRCDIR/glib-1.2.10.tar.gz
+    #check_file $SRCDIR/glib-1.2.10-ooo.patch
+    #check_file $SRCDIR/libIDL-0.6.8.tar.gz
+    #check_file $SRCDIR/libIDL-0.6.8-ooo.patch
+    #check_file $SRCDIR/wintools.zip
+
+    # Prebuilt Mozilla bits
+    check_file $SRCDIR/WNTMSCIinc.zip
+    check_file $SRCDIR/WNTMSCIlib.zip
+    check_file $SRCDIR/WNTMSCIruntime.zip
+
     echo -n "Looking for $SRCDIR/gdiplus.dll ... "
     if test -f $SRCDIR/gdiplus.dll; then
 	echo "ok"
@@ -176,7 +183,7 @@
     # gdiplus.dll
     cd $BUILDDIR;
     if test -f $OOBUILDDIR/external/gdiplus/gdiplus.dll; then
-    	echo "Already copied gdiplus.dll"
+    	echo "Already have gdiplus.dll"
     else
 	$GNUCP -p $SRCDIR/gdiplus.dll $OOBUILDDIR/external/gdiplus/gdiplus.dll
     fi
@@ -230,45 +237,71 @@
     fi
 
     cd $BUILDDIR;
+
+    # Bypass the Mozilla source bits for now
+    if false; then
+
     if test -f $TOOLSDIR/src/$BUILD_MOZILLA_SOURCE;  then
-        $echo_n "Installing mozilla source $echo_c"
+        $echo_n "Installing Mozilla source $echo_c"
 	$GNUCP -f $TOOLSDIR/src/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     else
-	echo "Don't need to unpack mozilla source";
+	echo "Don't need to unpack Mozilla sources";
     fi
+
     MOZILLA_IDL_SRC='libIDL-0.6.8.tar.gz'
     MOZILLA_IDL_PATCH='libIDL-0.6.8-ooo.patch'
     MOZILLA_GLIB_SRC='glib-1.2.10.tar.gz'
     MOZILLA_GLIB_PATCH='glib-1.2.10-ooo.patch'
     MOZILLA_WINTOOLS_BIN='wintools.zip'
-    if test -f $TOOLSDIR/src/$MOZILLA_IDL_SRC; then
-        $echo_n "Installing mozilla IDL source $echo_c"
+
+    if test -f $OOBUILDDIR/moz/download/$MOZILLA_IDL_SRC; then
+	echo "Already have Mozilla libIDL sources";
+    else
+        $echo_n "Installing Mozilla libIDL source $echo_c"
 	$GNUCP -f $TOOLSDIR/src/$MOZILLA_IDL_SRC $OOBUILDDIR/moz/download || exit 1;
 	$GNUCP -f $TOOLSDIR/src/$MOZILLA_IDL_PATCH $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
-    else
-	echo "Don't need to unpack mozilla IDL source";
     fi
-    if test -f $TOOLSDIR/src/$MOZILLA_GLIB_SRC; then
-        $echo_n "Installing mozilla glib source $echo_c"
+
+    if test -f $OOBUILDDIR/moz/download/$MOZILLA_GLIB_SRC; then
+	echo "Already have Mozilla GLib source";
+    else
+        $echo_n "Installing Mozilla GLib source $echo_c"
 	$GNUCP -f $TOOLSDIR/src/$MOZILLA_GLIB_SRC $OOBUILDDIR/moz/download || exit 1;
 	$GNUCP -f $TOOLSDIR/src/$MOZILLA_GLIB_PATCH $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
-    else
-	echo "Don't need to unpack mozilla glib source";
     fi
-    if test -f $TOOLSDIR/src/$MOZILLA_WINTOOLS_BIN; then
-        $echo_n "Installing mozilla wintools $echo_c"
+
+    if test -f $OOBUILDDIR/moz/download/$MOZILLA_WINTOOLS_BIN; then
+	echo "Already have Mozilla wintools";
+    else
+        $echo_n "Installing Mozilla wintools $echo_c"
 	$GNUCP -f $TOOLSDIR/src/$MOZILLA_WINTOOLS_BIN $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
-    else
-	echo "Already have mozilla wintools";
+    fi
+
+    fi # bypass for now
+
+    MOZILLA_PREBUILT_INC='WNTMSCIinc.zip'
+    MOZILLA_PREBUILT_LIB='WNTMSCIlib.zip'
+    MOZILLA_PREBUILT_RUNTIME='WNTMSCIruntime.zip'
+
+    if test -f $OOBUILDDIR/moz/zipped/$MOZILLA_PREBUILT_INC -a \
+	    -f $OOBUILDDIR/moz/zipped/$MOZILLA_PREBUILT_LIB -a
+	    -f $OOBUILDDIR/moz/zipped/$MOZILLA_PREBUILT_RUNTIME; then
+	echo "Already have the prebuilt Mozilla zip files";
+    else
+        $echo_n "Installing prebuilt Mozilla $echo_c"
+	$GNUCP -f $TOOLSDIR/src/$MOZILLA_PREBUILT_INC $OOBUILDDIR/moz/zipped || exit 1;
+	$GNUCP -f $TOOLSDIR/src/$MOZILLA_PREBUILT_LIB $OOBUILDDIR/moz/zipped || exit 1;
+	$GNUCP -f $TOOLSDIR/src/$MOZILLA_PREBUILT_RUNTIME $OOBUILDDIR/moz/zipped || exit 1;
+	echo "done";
     fi
 
     if test -f $TOOLSDIR/src/$AGFA_MONOTYPE_FONTS_SOURCE; then
         if test -f $OOBUILDDIR/agfa_monotype_fonts/download/$AGFA_MONOTYPE_FONTS_SOURCE; then
-            echo "Already have Agfa Monotype fonts"
+            echo "Already have the Agfa Monotype fonts"
 	else
 	    $echo_n "Installing Agfa Monotype fonts $echo_c"
 	    mkdir -p $OOBUILDDIR/agfa_monotype_fonts/download
@@ -285,7 +318,7 @@
     else
         case "$DISTRO" in
 	    NovellWin32*)
-	        echo missing $TOOLSDIR/src/$AGFA_MONOTYPE_FONTS_SOURCE
+	        echo Missing $TOOLSDIR/src/$AGFA_MONOTYPE_FONTS_SOURCE
 		echo which should always be included when building $DISTRO
 		exit 1
 		;;
@@ -308,11 +341,10 @@
 else
 
     if test -f $SRCDIR/$BUILD_MOZILLA_SOURCE; then
-        echo "Copying mozilla package into the tree"
+        echo "Copying Mozilla package into the tree"
         mkdir -p $OOBUILDDIR/moz/download || exit 1
         $GNUCP -a $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download/ || exit 1
     fi
-
 fi
 
 case "$DISTRO" in

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Wed Apr 30 15:45:43 2008
@@ -393,10 +393,11 @@
 # it's a really bad idea to do conditional tests for things.
 #
 if test "z`uname -s`" != "zSunOS" -a "z$with_win32" = "z" -a "z`uname -o`" = "zCygwin" ; then
-    AC_MSG_WARN([On Cygwin, automatically using --with-win32 and --enable-binfilter])
+    AC_MSG_WARN([On Cygwin, automatically using --with-win32, --enable-binfilter, --with-dejavu-fonts and --disable-build-mozilla])
     with_win32="yes"
     enable_binfilter="yes"
-    PROPAGATED_ARGS="$PROPAGATED_ARGS --enable-binfilter=yes"
+    with_dejavu_fonts=yes
+    PROPAGATED_ARGS="$PROPAGATED_ARGS --enable-binfilter=yes --disable-build-mozilla"
 fi
 if test "z$with_win32" = "z"; then
     if test ! $have_common; then
@@ -826,7 +827,6 @@
 AC_SUBST(OPENCLIPART_VER)
 AC_SUBST(OPENCLIPART_DIR)
 
-
 AC_MSG_CHECKING([for DejaVu Fonts])
 DEJAVU_FONTS_VER=
 DEJAVU_FONTS_PACK_NAME=

Modified: trunk/download.in
==============================================================================
--- trunk/download.in	(original)
+++ trunk/download.in	Wed Apr 30 15:45:43 2008
@@ -68,6 +68,8 @@
     'glib-1\.2\..*'                      => 'http://ftp.gtk.org/pub/gtk/v1.2/',
     'libIDL-.*'                          => 'http://ftp.mozilla.org/pub/mozilla.org/mozilla/libraries/source/',
     'wintools\.zip'                      => 'http://ftp.mozilla.org/pub/mozilla.org/mozilla/source/',
+# Prebuilt Mozilla bits
+    'WNTMSCI.*\.zip'                     => 'http://tools.openoffice.org/moz_prebuild/680/',
 # SDK bits
     'unowinreg\.dll'                     => 'http://tools.openoffice.org/unowinreg_prebuild/680/',
 # Windows .ico icons
@@ -191,15 +193,24 @@
 if ('@BUILD_WIN32@' ne '') 
 {
     push @files, ( 'unicows.exe', 'dbghinst.EXE' );
-#    push @files, ( '5_11_98Odma20.zip' ); # - ODMA - for when it works.
     push @files, ( "apache-ant-1.6.5-bin.tar.gz" );
-    push @files, ( '@BUILD_MOZILLA_SOURCE@' );
-    push @files, ( 'glib-1.2.10.tar.gz' );
-    push @files, ( 'libIDL-0.6.8.tar.gz' );
+
+# Comment out the Mozilla source bits until we can compile it
+# with MSVS2008
+    #push @files, ( '@BUILD_MOZILLA_SOURCE@' );
+    #push @files, ( 'glib-1.2.10.tar.gz' );
+    #push @files, ( 'libIDL-0.6.8.tar.gz' );
 # this contains binaries and source, we just use the source
-    push @files, ( 'wintools.zip' );
+    #push @files, ( 'wintools.zip' );
+
     # Icons
     push @files, ( 'ooo-windows-icons-0.1.tar.bz2' ) if '@DISTRO@' =~ m/NovellWin32|GoOoWin32/;
+
+# We must use the prebuilt Mozilla bits as the compiler to use (MSVS2008) does not compile
+# Mozilla 1.7.5 as used here without love that hasn't been applied yet
+    push @files, ( 'WNTMSCIinc.zip' );
+    push @files, ( 'WNTMSCIlib.zip' );
+    push @files, ( 'WNTMSCIruntime.zip' );
 }
 else
 {



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]